#/bin/sh
LOCAL_DIR_TO_BACKUP="/var/lib/automysqlbackup"
LOCAL_PRIVKEY="/root/.ssh/id_backup"
SERVER_BACKUP_HOST="{{mariadb_server_backup_host}}"
SERVER_BACKUP_DIR="{{mariadb_server_backup_dir}}"
SERVER_BACKUP_USER="{{mariadb_server_backup_user}}"
BACKUP_DATE=`date '+%Y%m%d%H%M%S'`
BACKUP_LOG="/var/log/backup_mariadb.log"

echo "-----> Backup date $BACKUP_DATE"  >> $BACKUP_LOG
/usr/bin/rsync -avz -e "ssh -i $LOCAL_PRIVKEY"  $LOCAL_DIR_TO_BACKUP $SERVER_BACKUP_USER@$SERVER_BACKUP_HOST:$SERVER_BACKUP_DIR >> $BACKUP_LOG
